server:
  port: 8030

spring:
  application:
    name: basic
  main:
    allow-bean-definition-overriding: true
  mvc:
    # 启用hiddenMethod过滤器(头像上传)
    hiddenmethod:
      filter:
        enabled: true
  datasource: # 数据源的相关配置
    type: com.zaxxer.hikari.HikariDataSource          # 数据源类型：HikariCP
    driver-class-name: com.mysql.cj.jdbc.Driver          # mysql驱动
    url: jdbc:mysql://106.14.162.214:3306/zt?useUnicode=true&characterEncoding=utf-8&useSSL=false&serverTimezone=Asia/Shanghai&allowPublicKeyRetrieval=true
    username: zt
    password: ZhEnTuAi2024zHeNtUaI
    hikari:
      minimum-idle: 5         # 最小连接数
      maximum-pool-size: 20   # 最大连接数
      auto-commit: true       # 事务自动提交
      pool-name: HikariCP     # 连接池名字
  jackson:
    date-format: "yyyy-MM-dd HH:mm:ss"
    time-zone: GMT+8
  redis:
    host: 10.59.3.218
    port: 6379
    # 密码过于复杂需要使用''引起来，要不可能导致项目无法启动，因为无法识别特殊字符
    password: ZhEnTuAi
    timeout: 40000
  # 配置用户头像存放静态资源文件夹
  resources:
    static-locations: classpath:/META-INF/resources/,classpath:/resources/,classpath:/static/,classpath:/public/
  #  配置请求文件大小
  servlet:
    multipart:
      max-file-size: 500MB
      max-request-size: 500MB

# MyBatis
mybatis-plus:
  configuration:
    # 开启驼峰命名法
    map-underscore-to-camel-case: true
    use-generated-keys: true
# 指定使用的日志配置文件
logging:
  config: classpath:logback-spring.xml
# 微信小程序相关配置
wx:
  #  公众号的appId
  appId: fix
  #  公众号的密钥
  appSecret: fix
  #  小程序的AppId
  miniProgramAppId: wxe7ff26af70bfc37c
  #  小程序的secret
  miniProgramSecret: 5252fbbc68513bc77b7cc0052b9f9695
  #  申请openid授权
  grandType: authorization_code
  #  推送模板
  push:
    templateId: 5b8vTm7kvwYubqDxb3dxBqFIhc3Swt5l7QHSK5r-ZRI
  # 商户号
  mchId: 1700540331
  # 商户证书序列号
  mchSerialNo: 2AD248A1D15F0056D6AEC20B4EEF53F3C32CBFF0
  # 支付回调接口地址
  payNotifyUrl: https://zhentuai.com/api/mobile/wx/pay/v1/payNotify
  # 退款回调接口地址
  refundNotifyUrl: https://zhentuai.com/api/mobile/wx/pay/v1/refundNotify
  # 商户API私钥路径
  keyPath: "-----BEGIN PRIVATE KEY-----
MIIEvgIBADANBgkqhkiG9w0BAQEFAASCBKgwggSkAgEAAoIBAQDHwDoab8iRX4vn
Ta3a+gh5Z3wcyTM3VkWhkAPJGNJhaNgzOBI9b4v1x+uSZ4To2uXhQE5hvcxWSfNZ
F7H6yp+6estADeZLpdXLBDBvPDOjEGhG7YUHJjWnFh5eY2Rtnx4/7x+xCsRS+Mtq
Mx6KMrb4UZYNIq14peTQgfICkDBdqnUIkFjDmChUy0LlsSFW8AyJIqrBec5VZWf/
QqsIBf9vsTVxrqlX+5owYZuPYoFOIQJFUW8dfU20qk//BxiDjPFZBLNa02aIEbNF
SXZE2TlKD7zD0Qv/w95Hf1V+a/cxP2B6LNtqwioIdHbU6Axu7uHkr0RSPXPsvOWY
eUIpGP4bAgMBAAECggEBALm34w3TYtKu2D/tfDh9gkWGTuHgu6q2nrTxVmOxnWEN
/v3YIzVVsfaJs2ACuZNaeqNsi7PaqNKNnSD3o/X+UHYsVy8t/THWdSl1sqapfYUd
6yYPDkEwaG/6Y6/0j1pQt+pPpNKRpSlTwqTx9HIfZvkHuhBqbokfDNhECUQS1bUu
8pmyALIkuXu38B/xCs/EH+Lp1N69IA0mwalT/2zi9ZJhGNg5OWBzNbkMKf2Tck+9
SnS6s+pAT6YxB9qYhg645H3dRKXdeSYbjI+uiIe/7cJvTxfQDLD/oDap2TJQH3iM
SVbSfNFbR1tH6PiYx9eXeElEg2QXEPztbf8NcUlGOGkCgYEA8PewLVzUdHD20KkX
tZP+JCvSTy2f0kPHTc3+BU+MOlG8uZzsK06efo+X5BGkMRj8P+MPp9rJQr5IJqJl
GpeA1XpF54v2DIcNcjrQHIJ9XWoWirZjMWRVn4D5laQTI+FEV8pyFfJJOLIgBe9b
c6hBHNnAB4Y6JZ/s+US4ymK4wQ0CgYEA1DZMcuyiUgjnprUsOIokpg8RxGLIvB5+
2FyCffa/CikMRU8bRtHdpJLguArrR9rEILU6fICPARdlCg8r0XMrvniiAaS3YlDj
tSxbfrrS6xySvVFdNusv/j3i5/76IedsSArJLeQpIZMZ3n6q/dmq4kbWh+bT/5z+
MVpjWixpYccCgYBtaEh5kDh2VgP6YYv+SZ+OVMc8Y/64vUV0sh6v0ppcsFf7/p/M
WfnkhNX2G3xtPmbpqvKkx9WxlCu2Pu2g0UERrF6o7wdcUMVuI/3xs92v2Ec72+vV
tTSbIzgvFTwLgnBBXA3IoSVVtKqNh0wCi1Zk/wkNYYhtJNu3odg1K/Wu0QKBgBOv
IbI7TucrGkm1Xm+0KKgal7xOqW4BqiRpmFUU0S2hFxlKuC3+g3+jfCK2KJLWsQCT
ruQjjKA+Skn/lEHuW+1kBSr/217MQALrJWWA8NWMJfRXmrzgXehIV0bLuOnyLHIW
Rgjys/oAShMATt4TFa29gmLCv4FjT5TGXJbdrby7AoGBAOqER71Vi90UV84sYLWx
DSW/3q5/QrndmeeaQALslA6sidnTZWqlhMsNPl8dfBKl6xnrCdcaeY5xk/xmVOqP
0KedJgT+IjLwY1yJ9QOBd02ejAY3qNlKt2NiSWv2GBY1cZxqhkHNaI/UWI9CAyH5
YfkdFNxtYLdVAwuylMoV3fKI
-----END PRIVATE KEY-----"
  # 商户APIV3密钥
  apiV3: ZHENTUAIzhentuaiZHENTUAIzhentuai

# 存储
storage:
  defaultUse: "assets"
  configs:
    - name: "faces"
      type: "ALI_OSS"
      config:
        endpoint: "https://oss-cn-shanghai.aliyuncs.com"
        accessKeyId: "LTAI5tCa641QdNHH9Ybg9u7V"
        accessKeySecret: "RRVIgekoqx96Fgm2Gs7eQshMShcEpk"
        bucketName: "frametour-assets"
        prefix: "user-faces/"
        url: "https://frametour-assets.oss-cn-shanghai.aliyuncs.com/"
        region: "cn-shanghai"
    - name: "assets"
      type: "ALI_OSS"
      config:
        endpoint: "https://oss-cn-shanghai.aliyuncs.com"
        accessKeyId: "LTAI5tCa641QdNHH9Ybg9u7V"
        accessKeySecret: "RRVIgekoqx96Fgm2Gs7eQshMShcEpk"
        bucketName: "frametour-assets"
        prefix: "user-assets/"
        url: "https://oss.zhentuai.com"
        region: "cn-shanghai"
    - name: "assets-ext"
      type: "ALI_OSS"
      config:
        endpoint: "https://oss-cn-shanghai.aliyuncs.com"
        accessKeyId: "LTAI5tCa641QdNHH9Ybg9u7V"
        accessKeySecret: "RRVIgekoqx96Fgm2Gs7eQshMShcEpk"
        bucketName: "frametour-assets"
        prefix: "user-assets/"
        url: "https://oss.zhentuai.com"
        region: "cn-shanghai"
    - name: "video"
      type: "ALI_OSS"
      config:
        endpoint: "https://oss-cn-shanghai.aliyuncs.com"
        accessKeyId: "LTAI5tCa641QdNHH9Ybg9u7V"
        accessKeySecret: "RRVIgekoqx96Fgm2Gs7eQshMShcEpk"
        bucketName: "frametour-assets"
        prefix: "user-video/"
        url: "https://oss.zhentuai.com"
        region: "cn-shanghai"
    - name: "chaosheng"
      type: "AWS_OSS"
      config:
        endpoint: "https://obs-cq.cucloud.cn"
        accessKeyId: "5E628198FFEC47CEAFC211C341C60F767900"
        accessKeySecret: "944346D1940E4AC6B5FCF981C7E589116498"
        bucketName: "wsaiphoto"
        prefix: "user-video/"
        url: "https://wsaiphoto.obs-cq.cucloud.cn"
        region: "obs-cq"
#人脸检测
facebody:
  default-use: "zt"
  configs:
    - name: "zt"
      type: ALI
      config:
        accessKeyId: "LTAI5tMwrmxVcUEKoH5QzLHx"
        accessKeySecret: "ZCIP8aKx1jwX1wkeYIPQEDZ8fPtN1c"
        region: "cn-shanghai"

notify:
  defaultUse: ""
  configs:
    - name: "developer"
      type: "SERVER_CHAN"
      config:
        key: "sctp747ta-wkq4hlzb6e42t8d1sm8wbc9g"